#
# spec file for package python-atlassian-python-api
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-atlassian-python-api
Version:        3.41.4
Release:        1.6
Summary:        Python Atlassian REST API Wrapper
License:        Apache-2.0
URL:            https://github.com/atlassian-api/atlassian-python-api
Source:         https://files.pythonhosted.org/packages/source/a/atlassian-python-api/atlassian-python-api-%{version}.tar.gz
Source1:        python-atlassian-python-api.rpmlintrc
BuildRequires:  %{python_module deprecated}
BuildRequires:  %{python_module kerberos}
BuildRequires:  %{python_module oauthlib}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests-oauthlib}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-deprecated
Requires:       python-kerberos
Requires:       python-oauthlib
Requires:       python-requests
Requires:       python-requests-oauthlib
Requires:       python-six
Suggests:       python-kerberos
BuildArch:      noarch
%python_subpackages

%description
Python Atlassian REST API Wrapper

%prep
%autosetup -p1 -n atlassian-python-api-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/atlassian
%{python_sitelib}/atlassian_python_api*-info

%changelog
* Fri Dec 15 2023 pgajdos@suse.com
- add python-atlassian-python-api.rpmlintrc into sources
* Thu Dec 14 2023 Petr Gajdos <pgajdos@suse.com>
- update to 3.41.3:
  * [ISSUE-1241] #1241, added propagation of `advanced_mode` flag
  * feat(insight): implement get objectschema objecttypes flat
  * [ISSUE-1242]  prevented weird exceptions related to integer
    handling
  * update-jira-docs-include-add-comments
  * Add Content-Type to calls to Assets in cloud
  * Add account list to request participant methods
  * Add Python 3.12 CI build
  * Fix Python 3.12 build
  update to 3.41.1:
  * Bitbucket Server: Re-order source_branch param of
    open_pull_request
  * fix spelling error in jira examples
  * fix: Wrong post
  * Jira: Add sprint methods
  * add unauthorized error handling
  * fix: paths for page_create_template and page_get_templates
  * Update testenv
  * lists and dicts can be handled in raise_for_status
  update to 3.41.0:
  * Add python 3.11 support to test environment
  * Fix packaging of the tests directory
  * Bitbucket Server: Add boostMatches query parameter to
    get_branches
  * Bitbucket Server: Add support to include required reviewers
    for PR
  * Jira Agile: Add more method about board, properties
  * Add docs about properties
  * Jira properties
  update to 3.40.1:
  * Pipeline triggering examples with a request with pipeline
    variables
  * Bitbucket Server: Add API to get dashboard pull requests
  * [Jira] Adapt issue remote links creation/update
  update to 3.40.0:
  * Make check_inbox_pull_requests to return paged generator
  * Python: Set requests minimum to 2.31.0.
  * Bitbucket Cloud: Fixes for repository deployment
    environments.
  * Bitbucket Cloud: Fix for getting Repository Deployment
    Environment Variables via each()
  * confluence: correctly report a failed pdf-export
  * Adding change password to confluence.py
  * Maintain support for versions of Python <3.6
  * Use more performant version of Python logging calls
  * [Jira] Commits parameter addition for until and since
  update to 3.39.0:
  * Bitbucket: Adding repository variables.
  * Bitbucket: Adding getting deployment environment variables.
  * Confluence: Update confluence.py - Add create_group and
    remove_group
  * Bitbucket: Feature/add workspace permissions for repositories
  * Bitbucket Cloud: Adding Repository Group Permissions
  * Jira: jira_add_label_tag example
  * Bitbucket Cloud: Add Create, Update and Deleting of
    repository variables
  * Bitbucket Cloud: Add Create, Update and deleting of
    deployment environment variables
  update to 3.38.0:
  * fix: Wrong post instead of put
  * Fix #1154: add safety checks to parse 400 error responses
  * Bamboo: Added 2 methods to bamboo for deployments
  * Adds features to specify the target pipeline type.
  * Feature/add repository deployment environments
  update to 3.37.0:
  * ## What's Changed
  * Alias get_organizations
  * feat: Add update pull-request call
  * feat: Add flag_issue method
  * Add the possiblity to change the signature method
  * [Confluence]: PDF export function no longer working #1158
  * [Bamboo] Get Bamboo deployment queue
  update to 3.36.0:
  * [Bugfix] This will give you a fixed-width page.
  * [Enhancement] label and unlabel issues
  * [Enhancement] Add support for fetching id of blogpost
  * 'description-file' will not be supported in future versions.
  update to 3.35.0:
  * ## What's Changed
  * Add support for statuspage.io
  * Bitbucket: Add get changed files in commit
  update to 3.34.0:
  * ## What's Changed
  * Update jira.py add_attachment method
  * new methods Confluence collaborative editing
  update to 3.33.0:
  * ## What's Changed
  * return info myself from jira
  * [Bamboo] Enable/disable elastic bamboo configuration
  * Fix API url for getting objecttype attributes
  * [Jira] Added issue changelog and worklog method calls to docs
  * Jira ServiceDesk: Fix create attachment
  update to 3.32.2:
  * ## What's Changed
  * Let it buid for RHEL-9 again
  * Support for Xray v2.0 GET testruns
  * [Bitbucket Cloud] Add support for query parameters in
    pullrequest.comments endpoint
  * [Jira] Issues for Backlog updated URL
  * Returned _link details for next loop
  * fixed up the documentation for forking to a new project
  * Add custom field editing
  * Added get_dashboard method
  update to 3.32.0:
  * [confluence] Fix def get_page_as_pdf (pdf Export was
    rollback)
  * Added request_current_index_from_node method and docs
  * [Bitbucket] Add API signature to reply to a Pull request
    comment
  * Python 2.7 compatibility
  * Fix errors of black
  * [Bitbucket] Fixed broken update_file and upload_file API
    calls (fixes issue #1080)
  * [Xray] use resource_url method for api version
  * Add the type parameters whether a page exists
  * Ooops. Fixed Python 2.7 import
  update to 3.31.0:
  * Bug/fix assign issue
  * Switch from SHA1 to SHA2
  * Confluence update or create method
  * [Bamboo] New Bamboo REST API documentation URL
  * Confluence: update_page method
  * Insight for jira module
  * Move API from experimental to normal url (#960)
  * Pin to importlib-metadata==4.13.0, because it's not supported
    in Python3.7 - Tests are failing
  * Fix print typo in code block example in README
  * Jira: Add functionality to get comments on an issue
  * Revert change: `pprint` to `print` ... `pprint`
  * [confluence] Fix def get_page_as_pdf When using Confluence
    Cloud(#1057)
  * Fix bitbucket cloud commits #1071
  * Add missing advanced mode to request method
  * Resolve Failing Tests: Correction to adanced_usage=True
  * Update checkout and codecov action
  * Replace deprecatd tempfile.mktemp() calls
  update to 3.28.1:
  * ## What's Changed
  * Bitbucket Cloud: allow to access repositories directly
  * Fix AttributeError: 'Response' object has no attribute 'get'
  * [Jira] Fix the parameter of remove_user_from_group from
    username to account id
  * Jira : add account_id to the parameters of add_user_to_group
    for Jira Cloud
  * [Confluence] Amending Confluence documentation
  * [Confluence] Logging page content as info
  * [Bamboo] Support for elastic bamboo
  * Add new module Cloud Admin
  * Bitbucket Cloud: Add support for commit/commits endpoint
  * [BlackTest] Reformatting file
  * Add new createmeta functions to comply with Jira 9 API
  * Run Atlassian SDK in docker
  * [Jira] Add function get_user_groups
  * Jira: Add ability to add icons to issue remote links
  * [Bitbucket Cloud] Add avatar property to user object
  update to 3.26.0:
  * Jira more examples
  * BB 2 new methods
  * Confluence adjusted remove history method
  update to 3.25.0:
  * Fix error response without 'errors' field
  * Method for getting info about license object
  update to 3.24.0:
  * Add dedicated method for the fetching all values
  * DOC : correct URL for black tool in CONTRIBUTING.rst
  * [Confluence] page_exists method without error log
  * [Jira] added simple wrapper
  * [Bitbucket] Update parameter name to repository_slug
  * [Jira] updated get_file_list method for folder support
  * [Jira] Fix user properties endpoints (use account id)
  * [Jira] Insight for jira module
  * [SD] request_comments start,limit,public,internal
  * [Jira] Fix update_version PUT url
  * [Jira] Add multiple methods
  * [SD] Change logging level
  update to 3.20.0:
  * 1. JQL query paginations
  * 2. Bitbucket cloud method improvements
  update to 3.19.0:
  * 1. Plugin management methods
  * 2. License overview for Confluence
  * 3. Remove **tests** from release folder
  update to 3.18.1:
  * Error log handler for BB Cloud
  * escaping for JQL for Jira method
  update to 3.18.0:
  * Crowd adjustments.
  * Oauth2 example.
  * Jira update filter methods
  * Confluence changes for method: get_page_child_by_type
  * Thank you for your PR.
  update to 3.17.0:
  * 1. Jira: a new method related to the notification scheme,
    issue restore method
  * 2. Docs polishes
  * 3. Remove duplicated methods for the handling errors
  update to 3.15.0:
  * Crowd: a new functions
  * Jira: adjustments in watcher related methods, issue archive
    methods
  * X-Ray: new methods
  * Bitbucket Cloud: Tasks for PR
  update to 3.14.0:
  * That release include personal token parameter for rest client
    class
  update to 3.13.1:
  update to 3.13.0:
  * In that release:
  * Bugfixes for BB,
  * X-Ray, and Jira
  update to 3.12.1:
  * subj
* Tue Nov 10 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 2.0.1:
  * fix the double in bitbucket module to repo_list method
  * fix the parameter to export search results as csv
  * add more docs
  * Cleanup rest-client
  * Review methods
  * Bugfixes
* Fri Sep 11 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.17.3:
  * [RestClient] Cleanup base class and fix init order in derived class
  * Add review remark -> add *args.
  * Jira: add create project method
  * Migrate header variable into rest client
* Thu Jun 25 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.16.0:
  * New release with new methods for the Jira, Bamboo, Bitbucket methods.
* Fri Mar 20 2020 steven.kowalik@suse.com
- Update to 1.15.6:
  * Bamboo examples and Confluence fix of params (#464)
  * Added parameter for user() method: (#465)
  * Check for if an element is a valid email (#466)
  * Ability of adding reviewers when opening a PR (#470)
  * Util method to convert a nested dictionary into an HTML table with header
    row and header column (#473)
  * Bamboo examples (#474)
  * Add ability of deleting a pull request (#472)
* Mon Mar  2 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.15.4
  * New release with new methods for the Bamboo, Bitbucket methods
  * New release with new methods for the Bitbucket:
    + Bitbucket: conditions. reviewers
    + Confluence: move actions and reorder pages
    + Jira: Update Rank issues
  * This release include minor method polishes and a new methods related to the audit records
  * Confluence, Jira new methods
  * Continue improve Bitbucket cloud version
  * Bitbucket - branch permissions and commit related methods
  * Confluence - better log wrapping (get page_titile)
  * Bitbucket - methods related to the ssh key fetchings
  * Bamboo new methods related to the projects and build queue.
  * Jira bug fix a few method.
  * Polishes.
* Fri Jan 17 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 1.14.9
  * Python 3.8 CI build added.
  * A new Tempo method
  * Include title in determining if there is a difference
  * Fetch SSH keys information for projects and repos
  * Provide 2 methods with semantic correct naming
  * Add Ability to expand status for membership list
  * Add test LFS fetch method
  * Bitbucket: set default brnach name method
  * added get/set repo settings
  * Python 3.7 CI build added.
  * Add get_repo and delete_repo functions
  * Optional Kerberos dependency
* Thu Sep 26 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.13.31:
  * no changelog provided
* Tue Sep 17 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.13.29:
  * no changelog provided
- Do not install tests
- Run tests
* Fri Aug  9 2019 Thomas Bechtold <tbechtold@suse.com>
- Initial packaging (version 1.13.27)
